# `ngDisabled` (directive in module `ng` )

Improve this doc

## Description

The following markup will make the button enabled on Chrome/Firefox but not on IE8 and older IEs:

    <div ng-init="scope = { isDisabled: false }">
     <button disabled="{{scope.isDisabled}}">Disabled</button>
    </div>

The HTML specs do not require browsers to preserve the special attributes such as disabled. (The presence of them means true and absence means false) This prevents the angular compiler from correctly retrieving the binding expression. To solve this problem, we introduce the `ngDisabled` directive.

## Usage

as attribute

    <INPUT ng-disabled="{expression}">
       ...
    </INPUT>

### Parameters

- `ngDisabled – {expression} –`

  Angular expression that will be evaluated.

## Example

#### Source

#### Demo